Skip to main content
POST
/
organizations
/
{orgId}
/
insurances
Create Insurance
curl --request POST \
  --url https://api.helloannie.com/v1/organizations/{orgId}/insurances \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": "PPO",
  "status": "IN_NETWORK",
  "notes": "<string>"
}
'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "type": "PPO",
    "status": "IN_NETWORK",
    "notes": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Path Parameters

orgId
string<uuid>
required

The ID of the organization

Body

Payload required to create a new insurance configuration

name
string
required

The name of the insurance provider (matched case-insensitively against known providers)

type
enum<string>
required
Available options:
PPO,
HMO,
EPO,
MEDICAID,
MEDICARE
status
enum<string>
required
Available options:
IN_NETWORK,
ACCEPTED,
CAN_FILE,
CONDITIONAL,
NOT_ACCEPTED
notes
string

Additional notes about this insurance

Response

Response returned after creating an insurance

success
enum<boolean>
required
Available options:
true
data
object
required

Represents an organization's insurance provider configuration